Skip to content

Toggle / Enable / Disable a call flow from a phone

Toggle / Enable / Disable a call flow

API Key: SipDevice Auth Username in Query

Authenticate using a the credentials of a sip device

Parameter name
username
Located in
query
API Key: SipDevice Auth Password in Query

Authenticate using a the credentials of a sip device

Parameter name
password
Located in
query
call_flow_id query · string *
ID of the call flow to toggle / enable / disable
action query · string *
Action to perform on the call flow, can be active, inactive or toggle
enum: active inactive toggle

Responses

Phone reply
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/phone/enableCallFlow
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phone/enableCallFlow' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phone/enableCallFlow', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/phone/enableCallFlow',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phone/enableCallFlow', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.